Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1364187

Summary: Review Request: nodejs-coveralls - Takes json-cov output into stdin and POSTs to coveralls.io
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review
Target Milestone: ---Flags: vanmeeuwen+fedora: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-15 16:32:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1364186    
Bug Blocks: 956806, 1387531    

Description Jared Smith 2016-08-04 16:15:59 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-coveralls/nodejs-coveralls.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-coveralls/nodejs-coveralls-2.11.11-1.fc26.src.rpm
Description: Takes json-cov output into stdin and POSTs to coveralls.io
Fedora Account System Username: jsmith

Comment 1 Jeroen van Meeuwen 2016-08-05 09:55:49 UTC
bin/coveralls.js uses the wrong shebang (/usr/bin/env node)

Comment 2 Jeroen van Meeuwen 2016-08-05 09:56:18 UTC
Also, this one doesn't ship a license file (package.json mentions BSD-2-Clause but that's it).

Comment 4 Jeroen van Meeuwen 2016-08-06 08:32:30 UTC
The shebang is still bin/env

Comment 6 Jared Smith 2016-08-06 16:34:30 UTC
Also, it seems the that the "switch the interpreter from /usr/bin/env node to /usr/bin/node" (as an example) was never ratified, so I'm honestly not that concerned about it.  I don't know why rpmlint is so picky about it.

Comment 7 Jeroen van Meeuwen 2016-08-06 20:47:58 UTC
OK

Comment 8 Gwyn Ciesla 2016-08-08 14:39:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-coveralls

Comment 9 Jared Smith 2016-08-15 16:32:48 UTC
In rawhide, closing bug